const utils = {
    // 整合物理实体字典
    entityDict(oldArr) {
        let obj = {};
        oldArr.forEach((ele, index) => {
            obj[ele.id] = ele
        }) 
        return obj;
    },
    // 获取根据objtype获取名字前缀
    objPreName: function (objType) {
        let pre = null;
        switch (objType) {
            case "building": 
                pre = "Build"; break;
            case "floor": 
                pre = "Floor"; break;
            case "space":
                pre = "Room"; break;
            case "system":
                pre = "Sys"; break;
            case "facility":
                pre = "Equip"; break;
        }
        return pre;
    },
}
export default utils;